Skip to content
GAMPEONCreate
New project

Friends of an account

GET
/v1/social/{type}/{key}/friends
curl --request GET \
--url https://api.gampeon.com/v1/social/user/example/friends

Accounts only (type = user). Visible if the account’s showConnections allows it (otherwise 403 private). Other people only appear if their own setting allows you to see them; your own lists are complete.

Not available with access tokens.

type
required
string
Allowed values: user studio project

user, studio or project

key
required
string

Handle (user) or slug (studio, project)

Friends

Media typeapplication/json
object
total
required
integer
friends
required
Array<object>
object
handle
required
string
displayName
required
string
mutual
required

Also a friend of yours

boolean

Example generated

{
"total": 1,
"friends": [
{
"handle": "example",
"displayName": "example",
"mutual": true
}
]
}

Error codes: token_not_allowed, private

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback